%global release_name liberty
%global service horizon

%global rdo 0

# enable running unit tests during build
%global with_ut 1


%global with_compression 1

Name:       python-django-horizon

# Liberty semver reset
# https://review.openstack.org/#/q/I6a35fa0dda798fad93b804d00a46af80f08d475c,n,z
Epoch:      1
Version:    8.0.1
Release:    18%{?dist}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Summary:    Django application for talking to Openstack

Group:      Development/Libraries
# Code in horizon/horizon/utils taken from django which is BSD
License:    ASL 2.0 and BSD
URL:        http://horizon.openstack.org/
Source0:    https://tarballs.openstack.org/%{service}/%{service}-%{version}.tar.gz
Source2:    openstack-dashboard-httpd-2.4.conf

# systemd snippet to collect static files and compress on httpd restart
Source3:    python-django-horizon-systemd.conf

# demo config for separate logging
Source4:    openstack-dashboard-httpd-logging.conf

# logrotate config
Source5:    python-django-horizon-logrotate.conf

# RDO logo
Source6:    rdo-logo-white.png


#
# patches_base=8.0.1+2
Patch0001: 0001-disable-debug-move-web-root.patch
Patch0002: 0002-remove-runtime-dep-to-python-pbr.patch
Patch0003: 0003-Add-a-customization-module-based-on-RHOS.patch
Patch0004: 0004-Adds-support-to-accept-IPv6-in-VIP-Address-for-LB-Po.patch
Patch0005: 0005-Disable-metering-panel.patch
Patch0006: 0006-api-cinder-volume_migrate-wrong-number-of-params.patch
Patch0007: 0007-Provide-new-logos-product-renamed.patch
Patch0008: 0008-Refresh-the-networks-on-ajax-update.patch
Patch0009: 0009-Make-Port-Details-VNIC-type-translatable.patch
Patch0010: 0010-fix-pep8-issues-in-theme-package.patch
Patch0011: 0011-Add-policy-check-for-project-detail-link.patch
Patch0012: 0012-Fix-loading-of-angular-in-jquery-modals.patch
Patch0013: 0013-Navigation-cleanup-for-details-pages.patch
Patch0014: 0014-Add-Fix-several-Port-Details-fields.patch
Patch0015: 0015-Heat-Stacks-Details-Events-table-doesn-t-show-up.patch
Patch0016: 0016-Translate-status-in-network-topology.patch
Patch0017: 0017-Remove-pristine-check-for-form-validity-in-object-up.patch
Patch0018: 0018-Allow-deleting-gateway-interfaces-on-network-topolog.patch
Patch0019: 0019-Add-a-margin-bottom-of-40px-to-navbar-to-avoid-overl.patch
Patch0020: 0020-Escape-angularjs-templating-in-unsafe-HTML.patch
Patch0021: 0021-Fix-workflow-bug-in-Create-Network-dialog.patch
Patch0022: 0022-Don-t-remove-roles-if-the-user-isn-t-in-the-domain.patch
Patch0023: 0023-Add-handle-get_file-when-launch-stack-from-horizon.patch
Patch0024: 0024-No-lock-required-for-reading-secret-key.patch
Patch0025: 0025-Look-for-volumev2-endpoints-instead-of-volume.patch
Patch0026: 0026-Add-ability-to-clear-image-description.patch
Patch0027: 0027-Addition-of-metadata-for-snapshot-in-VolumeSnapshot-.patch
Patch0028: 0028-Add-metadata-in-snapshot-details-page.patch
Patch0029: 0029-Use-Default-Value-and-DefaultValue-for-Heat-paramete.patch
Patch0030: 0030-Remove-all_tenants-flag-in-quota-check.patch
Patch0031: 0031-Fix-issues-with-updating-project-domain-members.patch
Patch0032: 0032-Add-ability-to-choose-flavor-in-dashboard-if-value-0.patch
Patch0033: 0033-Add-ability-to-choose-flavor-in-dashboard-if-value-0.patch
Patch0034: 0034-Prevent-duplicated-ips-on-network-topology.patch
Patch0035: 0035-Let-Nova-to-pick-availability-zone-if-more-than-1.patch

#Patch0002: 0002-remove-runtime-dep-to-python-pbr.patch

#
# BuildArch needs to be located below patches in the spec file. Don't ask!
#

BuildArch:  noarch

BuildRequires:   python-django
Requires:   python-django


Requires:   pytz
Requires:   python-six >= 1.9.0
Requires:   python-pbr

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr >= 0.10.8
BuildRequires: python-eventlet
BuildRequires: git
BuildRequires: python-six >= 1.9.0
BuildRequires: gettext

# for checks:
%if 0%{?with_ut} == 1
BuildRequires:   python-django-nose >= 1.2
BuildRequires:   python-coverage
BuildRequires:   python-mox3
BuildRequires:   python-mock
BuildRequires:   python-nose-exclude
BuildRequires:   python-nose
%endif

BuildRequires:   python-netaddr
BuildRequires:   python-kombu
BuildRequires:   python-anyjson
BuildRequires:   python-iso8601

# additional provides to be consistent with other django packages
Provides: django-horizon = %{epoch}:%{version}-%{release}

%description
Horizon is a Django application for providing Openstack UI components.
It allows performing site administrator (viewing account resource usage,
configuring users, accounts, quotas, flavors, etc.) and end user
operations (start/stop/delete instances, create/restore snapshots, view
instance VNC console, etc.)


%package -n openstack-dashboard
Summary:    Openstack web user interface reference implementation
Group:      Applications/System

Requires:   httpd
Requires:   mod_wsgi
Requires:   %{name} = %{epoch}:%{version}-%{release}
Requires:   python-django-openstack-auth >= 1.1.7
Requires:   python-django-compressor >= 1.4
Requires:   python-django-appconf
Requires:   python-lesscpy

Requires:   python-glanceclient
Requires:   python-keystoneclient >= 0.7.0
Requires:   python-novaclient >= 2.15.0
Requires:   python-neutronclient
Requires:   python-cinderclient >= 1.0.6
Requires:   python-swiftclient
Requires:   python-heatclient
Requires:   python-ceilometerclient
Requires:   python-troveclient >= 1.0.0
Requires:   python-saharaclient
Requires:   python-netaddr
Requires:   python-oslo-config
Requires:   python-eventlet
Requires:   python-django-pyscss >= 1.0.5
Requires:   python-XStatic
Requires:   python-XStatic-jQuery
Requires:   python-XStatic-Angular >= 1:1.3.7
Requires:   python-XStatic-Angular-Mock
Requires:   python-XStatic-Angular-Bootstrap
Requires:   python-XStatic-D3
Requires:   python-XStatic-Font-Awesome >= 4.1.0.0-4
Requires:   python-XStatic-Hogan
Requires:   python-XStatic-JQuery-Migrate
Requires:   python-XStatic-JQuery-TableSorter
Requires:   python-XStatic-JQuery-quicksearch
Requires:   python-XStatic-JSEncrypt
Requires:   python-XStatic-Jasmine
Requires:   python-XStatic-QUnit
Requires:   python-XStatic-Rickshaw
Requires:   python-XStatic-Spin
Requires:   python-XStatic-jquery-ui
Requires:   python-XStatic-Bootstrap-Datepicker
Requires:   python-XStatic-Bootstrap-SCSS
Requires:   python-XStatic-termjs
Requires:   python-XStatic-smart-table
Requires:   python-XStatic-Angular-lrdragndrop
Requires:   python-XStatic-Magic-Search
Requires:   python-XStatic-Angular-Gettext
Requires:   python-XStatic-Magic-Search
Requires:   python-XStatic-bootswatch
Requires:   python-XStatic-roboto-fontface
Requires:   python-XStatic-mdi

Requires:   python-scss >= 1.2.1
Requires:   fontawesome-fonts-web >= 4.1.0

Requires:   python-oslo-concurrency
Requires:   python-oslo-config
Requires:   python-oslo-i18n
Requires:   python-oslo-serialization
Requires:   python-oslo-utils
Requires:   python-oslo-policy
Requires:   python-babel
Requires:   python-pint

Requires:   openssl
Requires:   logrotate

%if %{?rdo} == 0
Requires:   openstack-dashboard-theme = %{epoch}:%{version}-%{release}
%endif

BuildRequires: python-django-openstack-auth >= 1.2.0
BuildRequires: python-django-compressor >= 1.4
BuildRequires: python-django-appconf
BuildRequires: python-lesscpy
BuildRequires: python-django-pyscss >= 1.0.5
BuildRequires: python-XStatic
BuildRequires: python-XStatic-jQuery
BuildRequires: python-XStatic-Angular >= 1:1.3.7
BuildRequires: python-XStatic-Angular-Mock
BuildRequires: python-XStatic-Angular-Bootstrap
BuildRequires: python-XStatic-D3
BuildRequires: python-XStatic-Font-Awesome
BuildRequires: python-XStatic-Hogan
BuildRequires: python-XStatic-JQuery-Migrate
BuildRequires: python-XStatic-JQuery-TableSorter
BuildRequires: python-XStatic-JQuery-quicksearch
BuildRequires: python-XStatic-JSEncrypt
BuildRequires: python-XStatic-Jasmine
BuildRequires: python-XStatic-QUnit
BuildRequires: python-XStatic-Rickshaw
BuildRequires: python-XStatic-Spin
BuildRequires: python-XStatic-jquery-ui
BuildRequires: python-XStatic-Bootstrap-Datepicker
BuildRequires: python-XStatic-Bootstrap-SCSS
BuildRequires: python-XStatic-termjs
BuildRequires: python-XStatic-smart-table
BuildRequires: python-XStatic-Angular-lrdragndrop
BuildRequires: python-XStatic-Magic-Search
BuildRequires: python-XStatic-Angular-Gettext
BuildRequires: python-XStatic-bootswatch
BuildRequires: python-XStatic-roboto-fontface
BuildRequires: python-XStatic-mdi
# bootstrap-scss requires at least python-scss >= 1.2.1
BuildRequires: python-scss >= 1.2.1
BuildRequires: fontawesome-fonts-web >= 4.1.0
BuildRequires: python-oslo-concurrency
BuildRequires: python-oslo-config >= 1.9.3
BuildRequires: python-oslo-i18n
BuildRequires: python-oslo-serialization
BuildRequires: python-oslo-utils >= 1.4.0
BuildRequires: python-babel
BuildRequires: python-pint

BuildRequires: pytz
BuildRequires: systemd

%description -n openstack-dashboard
Openstack Dashboard is a web user interface for Openstack. The package
provides a reference implementation using the Django Horizon project,
mostly consisting of JavaScript and CSS to tie it altogether as a standalone
site.


%package doc
Summary:    Documentation for Django Horizon
Group:      Documentation

Requires:   %{name} = %{epoch}:%{version}-%{release}
BuildRequires: python-sphinx >= 1.1.3

# Doc building basically means we have to mirror Requires:
BuildRequires: python-glanceclient
BuildRequires: python-keystoneclient
BuildRequires: python-novaclient >= 2.15.0
BuildRequires: python-neutronclient
BuildRequires: python-cinderclient
BuildRequires: python-swiftclient
BuildRequires: python-heatclient
BuildRequires: python-ceilometerclient
BuildRequires: python-troveclient >= 1.0.0
BuildRequires: python-saharaclient
BuildRequires: python-oslo-sphinx >= 2.3.0

%description doc
Documentation for the Django Horizon application for talking with Openstack

%package -n openstack-dashboard-theme
Summary: OpenStack web user interface reference implementation theme module
Requires: openstack-dashboard = %{epoch}:%{version}-%{release}

%description -n openstack-dashboard-theme
Customization module for OpenStack Dashboard to provide a branded logo.

%prep
%setup -q -n horizon-%{upstream_version}

# Use git to manage patches.
# http://rwmj.wordpress.com/2011/08/09/nice-rpm-git-patch-management-trick/
git init
git config user.email "python-django-horizon-owner@fedoraproject.org"
git config user.name "python-django-horizon"
git add .
git commit -a -q -m "%{version} baseline"
git am %{patches}

# finalize pbr removal
sed -i s/REDHATVERSION/%{version}/ horizon/version.py
sed -i s/REDHATRELEASE/%{release}/ horizon/version.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

# fix file access rights
find openstack_dashboard/dashboards/theme -type f -print -exec chmod 644 '{}' \;


# drop config snippet
cp -p %{SOURCE4} .


# customize default settings
# WAS [PATCH] disable debug, move web root
sed -i "/^DEBUG =.*/c\DEBUG = False" openstack_dashboard/local/local_settings.py.example
sed -i "/^WEBROOT =.*/c\WEBROOT = '/dashboard/'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*ALLOWED_HOSTS =.*/c\ALLOWED_HOSTS = ['horizon.example.com', 'localhost']" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*LOCAL_PATH =.*/c\LOCAL_PATH = '/tmp'" openstack_dashboard/local/local_settings.py.example
sed -i "/^.*POLICY_FILES_PATH =.*/c\POLICY_FILES_PATH = '/etc/openstack-dashboard'" openstack_dashboard/local/local_settings.py.example

sed -i "/^BIN_DIR = .*/c\BIN_DIR = '/usr/bin'" openstack_dashboard/settings.py
sed -i "/^COMPRESS_PARSER = .*/a COMPRESS_OFFLINE = True" openstack_dashboard/settings.py

# set COMPRESS_OFFLINE=True
sed -i 's:COMPRESS_OFFLINE.=.False:COMPRESS_OFFLINE = True:' openstack_dashboard/settings.py

%if 0%{?rdo} > 0
cp %{SOURCE6} openstack_dashboard/dashboards/theme/static/dashboard/img
sed -i "s/logo.svg/rdo-logo-white.png/" openstack_dashboard/dashboards/theme/templates/splash.html
rm openstack_dashboard/dashboards/theme/static/dashboard/img/logo.svg
rm openstack_dashboard/dashboards/theme/static/dashboard/img/rh-logo.png

sed -i "s/brand.svg/logo.png/" openstack_dashboard/dashboards/theme/templates/splash.html
rm openstack_dashboard/dashboards/theme/static/dashboard/img/brand.svg

sed -i "s/brand.svg/logo.png/" openstack_dashboard/dashboards/theme/templates/horizon/common/_sidebar.html
git add .
git commit -a -q -m "RDO branding"
%endif
# force egginfo regen, pbr will work because patches are managed using git
rm -rf horizon.egg-info


%build
# compile message strings
cd horizon && django-admin compilemessages && cd ..
cd openstack_dashboard && django-admin compilemessages && cd ..
%{__python} setup.py build

# compress css, js etc.
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py


# get it ready for compressing later in puppet-horizon
%{__python} manage.py collectstatic --noinput --clear
%{__python} manage.py compress --force


# build docs
export PYTHONPATH="$( pwd ):$PYTHONPATH"
sphinx-build -b html doc/source html

# undo hack
cp openstack_dashboard/local/local_settings.py.example openstack_dashboard/local/local_settings.py

# Fix hidden-file-or-dir warnings
rm -fr html/.doctrees html/.buildinfo

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# drop httpd-conf snippet
install -m 0644 -D -p %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
install -d -m 755 %{buildroot}%{_datadir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sharedstatedir}/openstack-dashboard
install -d -m 755 %{buildroot}%{_sysconfdir}/openstack-dashboard

# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf


# create directory for systemd snippet
mkdir -p %{buildroot}%{_unitdir}/httpd.service.d/
cp %{SOURCE3} %{buildroot}%{_unitdir}/httpd.service.d/openstack-dashboard.conf

# Copy everything to /usr/share
mv %{buildroot}%{python_sitelib}/openstack_dashboard \
   %{buildroot}%{_datadir}/openstack-dashboard
cp manage.py %{buildroot}%{_datadir}/openstack-dashboard
rm -rf %{buildroot}%{python_sitelib}/openstack_dashboard

# remove unnecessary .po files
find %{buildroot} -name django.po -exec rm '{}' \;
find %{buildroot} -name djangojs.po -exec rm '{}' \;

# Move config to /etc, symlink it back to /usr/share
mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py.example %{buildroot}%{_sysconfdir}/openstack-dashboard/local_settings
ln -s ../../../../../%{_sysconfdir}/openstack-dashboard/local_settings %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/local_settings.py

mv %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/conf/*.json %{buildroot}%{_sysconfdir}/openstack-dashboard

%find_lang django
%find_lang djangojs

grep "\/usr\/share\/openstack-dashboard" django.lang > dashboard.lang
grep "\/site-packages\/horizon" django.lang > horizon.lang

cat djangojs.lang >> horizon.lang

# copy static files to %{_datadir}/openstack-dashboard/static
mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a openstack_dashboard/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a horizon/static/* %{buildroot}%{_datadir}/openstack-dashboard/static
cp -a static/* %{buildroot}%{_datadir}/openstack-dashboard/static

# create /var/run/openstack-dashboard/ and own it
mkdir -p %{buildroot}%{_sharedstatedir}/openstack-dashboard

# create /var/log/horizon and own it
mkdir -p %{buildroot}%{_var}/log/horizon

# place logrotate config:
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cp -a %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-dashboard


%check
# don't run tests on rhel
%if 0%{?with_ut} == 1
./run_tests.sh -N -P
%endif

%post -n openstack-dashboard
# ugly hack to set a unique SECRET_KEY
sed -i "/^from horizon.utils import secret_key$/d" /etc/openstack-dashboard/local_settings
sed -i "/^SECRET_KEY.*$/{N;s/^.*$/SECRET_KEY='`openssl rand -hex 10`'/}" /etc/openstack-dashboard/local_settings
# reload systemd unit files
systemctl daemon-reload >/dev/null 2>&1 || :

%postun
# update systemd unit files
%{systemd_postun}

%files -f horizon.lang
%doc README.rst openstack-dashboard-httpd-logging.conf
%license LICENSE
%dir %{python_sitelib}/horizon
%{python_sitelib}/horizon/*.py*
%{python_sitelib}/horizon/browsers
%{python_sitelib}/horizon/conf
%{python_sitelib}/horizon/contrib
%{python_sitelib}/horizon/forms
%{python_sitelib}/horizon/locale/*.pot
%{python_sitelib}/horizon/management
%{python_sitelib}/horizon/static
%{python_sitelib}/horizon/tables
%{python_sitelib}/horizon/tabs
%{python_sitelib}/horizon/templates
%{python_sitelib}/horizon/templatetags
%{python_sitelib}/horizon/test
%{python_sitelib}/horizon/utils
%{python_sitelib}/horizon/workflows
%{python_sitelib}/horizon/karma.conf.js
%{python_sitelib}/*.egg-info

%files -n openstack-dashboard -f dashboard.lang
%dir %{_datadir}/openstack-dashboard/
%{_datadir}/openstack-dashboard/*.py*
%{_datadir}/openstack-dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/*.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/api
%{_datadir}/openstack-dashboard/openstack_dashboard/contrib
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/admin
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/identity
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/project
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/settings
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/__init__.py*
%{_datadir}/openstack-dashboard/openstack_dashboard/django_pyscss_fix
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled
%{_datadir}/openstack-dashboard/openstack_dashboard/karma.conf.js
%{_datadir}/openstack-dashboard/openstack_dashboard/local
%{_datadir}/openstack-dashboard/openstack_dashboard/management
%{_datadir}/openstack-dashboard/openstack_dashboard/static
%{_datadir}/openstack-dashboard/openstack_dashboard/templates
%{_datadir}/openstack-dashboard/openstack_dashboard/templatetags
%{_datadir}/openstack-dashboard/openstack_dashboard/themes
%{_datadir}/openstack-dashboard/openstack_dashboard/test
%{_datadir}/openstack-dashboard/openstack_dashboard/usage
%{_datadir}/openstack-dashboard/openstack_dashboard/utils
%{_datadir}/openstack-dashboard/openstack_dashboard/wsgi
%dir %{_datadir}/openstack-dashboard/openstack_dashboard
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??/LC_MESSAGES
%dir %{_datadir}/openstack-dashboard/openstack_dashboard/locale/??_??/LC_MESSAGES
%{_datadir}/openstack-dashboard/openstack_dashboard/locale/*.pot
%{_datadir}/openstack-dashboard/openstack_dashboard/.eslintrc

%dir %attr(0750, root, apache) %{_sysconfdir}/openstack-dashboard
%exclude %{_datadir}/openstack-dashboard/openstack_dashboard/enabled/_99_customization.py*
%dir %attr(0750, apache, apache) %{_sharedstatedir}/openstack-dashboard
%dir %attr(0750, apache, apache) %{_var}/log/horizon
%config(noreplace) %{_sysconfdir}/httpd/conf.d/openstack-dashboard.conf
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/local_settings
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/ceilometer_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/cinder_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/keystone_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/nova_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/glance_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/neutron_policy.json
%config(noreplace) %attr(0640, root, apache) %{_sysconfdir}/openstack-dashboard/heat_policy.json
%config(noreplace) %attr(444,root,root) %{_sysconfdir}/logrotate.d/openstack-dashboard
%attr(755,root,root) %dir %{_unitdir}/httpd.service.d
%config(noreplace) %{_unitdir}/httpd.service.d/openstack-dashboard.conf

%files doc
%doc html

%files -n openstack-dashboard-theme
%{_datadir}/openstack-dashboard/openstack_dashboard/dashboards/theme
%{_datadir}/openstack-dashboard/openstack_dashboard/enabled/_99_customization.*

%changelog
* Fri Aug 17 2018 Radomir Dopieralski <rdopiera@sheep.art.pl> 1:8.0.1-18
- Let Nova to pick availability zone if more than 1 (rhbz#1426670)

* Mon Aug 13 2018 Radomir Dopieralski <rdopiera@redhat.com> 1:8.0.1-17
- Prevent duplicated ips on network topology (rhbz#1305685)

* Mon Aug 07 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-16
- Fix rhbz#1478042: Add WSGIApplicationGroup %{GLOBAL} to Apache config

* Thu Jun 01 2017 Beth Elwell <belwell@redhat.com> 1:8.0.1-15
- Add ability to choose flavor in dashboard if value "0" - fix (rhbz#1387504)

* Tue Apr 04 2017 Beth Elwell <belwell@redhat.com> 1:8.0.1-14
- Add ability to choose flavor in dashboard if value "0" (rhbz#1387504)

* Wed Mar 22 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-13
- Fix issues with updating project/domain members (rhbz#1434701)

* Mon Mar 13 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-12
- Remove all_tenants flag in quota check (rhbz#1417548)

* Tue Feb 14 2017 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-11
- Use "Default", "Value" and "DefaultValue" for Heat parameters (rhbz#1390045)

* Fri Feb 10 2017 Beth Elwell <belwell@redhat.com> 1:8.0.1-10
- Add metadata in snapshot details page (rhbz#1317742)

* Wed Jan 04 2017 Beth <e.r.elwell@gmail.com> 1:8.0.1-9
- Addition of metadata for snapshot in VolumeSnapshot object (rhbz#1317742)

* Wed Nov 23 2016 Radomir Dopieralski <rdopiera@redhat.com> 1:8.0.1-8
- Add ability to clear image description (rhbz#1390455)
- Look for volumev2 endpoints instead of volume (rhbz#1396234)

* Fri Oct 07 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-7
- No lock required for reading secret key (rhbz#1328402)

* Fri Aug 19 2016 Radomir Dopieralski <openstack@sheep.art.pl> 1:8.0.1-6
- Add handle get_file when launch stack from horizon (rhbz#1357640)

* Wed Jul 27 2016 Radomir Dopieralski <rdopiera@redhat.com> 1:8.0.1-5
- Don't remove roles if the user isn't in the domain (rhbz#1359509)

* Tue Jun 14 2016 Matthias Runge <mrunge@redhat.com> 1:8.0.1-4
- Fix workflow bug in "Create Network" dialog (rhbz#1255382)
- Escape angularjs templating in unsafe HTML (rhbz#1344168)
- Add a margin-bottom of 40px to navbar to avoid overlapping (rhbz#1344431)
- Allow deleting gateway interfaces on network topology

* Fri Jun 03 2016 Matthias Runge <mrunge@redhat.com> - 1:8.0.1-3
- Trace when display events for a stack, information never loads (rhbz#1325367)
- Remove $pristine check for form validity in object upload (rhbz#1326869)
- Translate status in network topology (rhbz#1342445)
- router port fixed IP is not shown in port detail (rhbz#1315224)

* Fri Mar 11 2016 Matthias Runge <mrunge@redhat.com> 1:8.0.1-2
- Add policy check for project detail link (rhbz#1310395)
- fix pep8 issues in theme package (rhbz#1310845)
- Make Port Details VNIC type translatable (rhbz#1026237)
- Refresh the networks on ajax update (rhbz#1289388)
- fix version number in admin/info (rhbz#1314420)

* Wed Feb 10 2016 Matthias Runge <mrunge@redhat.com> - 1:8.0.1-1
- rebase to 8.0.1 (rhbz#1305905)
- fix volume migration (rhbz#1042947)
- disable metering panel (rhbz#1300735)
- provide newer logos (rhbz#1302259)
- horizon should accept IPv6 address as a VIP address (rhbz#1305023)

* Tue Jan 12 2016 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-10
- increase start timeout value (rhbz#1297757)

* Mon Jan 11 2016 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-9
- /static/dashboard/img/loading not found (rhbz#1297388)
- Fix sorting by instance size (rhbz#1262107)

* Mon Nov 30 2015 Jon Schlueter <jschluet@redhat.com> 1:8.0.0-8
- drop Requires for redhat-access-plugin-openstack (rhbz#1284241)

* Mon Nov 23 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-6
- enable running unit tests during package build

* Mon Nov 23 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-5
- require redhat-access-plugin-openstack (rhbz#1284241)

* Wed Nov 18 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-4
- revert theme config in /etc/openstack-dashboard (rhbz#1277365)

* Tue Nov 17 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-3
- add a dependency to openstack-dashboard-theme

* Wed Nov 11 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-2
- move custom theme config to /etc/openstack-dashboard (rhbz#1276731)

* Thu Oct 15 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-1
- rebase to final 8.0.0 release

* Tue Oct 13 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-0.5.0rc2
- remove logos and move -theme config to -theme subpackage
- make it build on el7

* Mon Oct 12 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-0.2.0rc2
- fixing unittests with RCUE theme
- cherry-picking project switcher back to liberty
- fixing logrotate-config attributes

* Fri Oct 09 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-0.1.0rc2
- rc2

* Wed Sep 30 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-0.1.0rc1
- rc1
- cherry-picking RCUE fixes

* Thu Sep 17 2015 Matthias Runge <mrunge@redhat.com> - 1:8.0.0-0.1.0b3
- liberty pre-release

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2015.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu May 28 2015 Matthias Runge <mrunge@redhat.com> - 2015.1.0-7
- CVE-2015-3988 python-django-horizon: persistent XSS in Horizon metadata

* Thu May 21 2015 Matthias Runge <mrunge@redhat.com> - 2015.1.0-6
- add AUTH_USER_MODEL reference (rhbz#1221117)

* Fri May 08 2015 Matthias Runge <mrunge@redhat.com> - 2015.1.0-5
- fix region selector in -theme
- honor moved webroot a little better (rhbz#1218627)
- make sure, systemd service is reloaded (rhbz#1219006)

* Wed May 06 2015 Matthias Runge <mrunge@redhat.com> - 2015.1.0-3
- theme fixes

* Fri May 01 2015  2015.1.0-2
- Fixing data processing operations for alternate webroots (sahara)
  https://bugs.launchpad.net/horizon/+bug/1450535

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
